%define name	ledit
%define version	1.11
%define release	1mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD like
Summary:	Line editor
Group:		Editors
Source:		http://caml.inria.fr/distrib/bazar-ocaml/%{name}.tar.bz2
Patch:		%{name}-1.11.makefile.patch.bz2
BuildRequires:	ocaml
BuildRequires:	camlp4
BuildRequires:	ncurses-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description 
Ledit is a line editor, allowing to use control commands like in emacs
or in shells (bash, tcsh). To be used with interactive commands. It is
written in Ocaml and Camlp4 and uses the library unix.cma.

%prep
%setup -q
%patch
mv ledit.l.tpl ledit.1.tpl

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Dec 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-1mdk 
- first mdk release
